package org.ow2.util.plan.deploy.deployable.impl;

import org.ow2.util.archive.api.IFileArchive;
import org.ow2.util.ee.deploy.impl.deployable.AbsDeployable;
import org.ow2.util.plan.bindings.repository.Repositories;
import org.ow2.util.plan.deploy.deployable.api.RepositoryDeployable;


/**
 * Implementation for the Repository deployable.
 *
 * @author mleduque
 *
 */
public class RepositoryDeployableImpl extends AbsDeployable<RepositoryDeployable> implements RepositoryDeployable {

    /**
     * The attached Repositories object.
     */
    private Repositories attachedRepositories = null;

    /**
     * Constructs a repository list deployable from a FileArchive.
     * @param archive the archive
     */
    public RepositoryDeployableImpl(final IFileArchive archive) {
        super(archive);
    }

    /**
     * {@inheritDoc}
     */
    public Repositories getAttachedData() {
        return this.attachedRepositories;
    }

    /**
     * {@inheritDoc}
     */
    public void setAttachedData(final Repositories attachedData) {
        this.attachedRepositories = attachedData;
    }


}
